Package org.apache.qpid.proton.amqp.transport

# Class Flow

java.lang.Object
org.apache.qpid.proton.amqp.transport.Flow

All Implemented Interfaces:
  `FrameBody`

public final class Flow extends Object implements FrameBody

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.amqp.transport.FrameBody

`FrameBody.FrameBodyHandler<E>`

## Constructor Summary

Constructors
Constructor
Description
`Flow()`
`Flow(Flow other)`

## Method Summary

Modifier and Type
Method
Description
`Flow`
`copy()`
`UnsignedInteger`
`getAvailable()`
`UnsignedInteger`
`getDeliveryCount()`
`boolean`
`getDrain()`
`boolean`
`getEcho()`
`UnsignedInteger`
`getHandle()`
`UnsignedInteger`
`getIncomingWindow()`
`UnsignedInteger`
`getLinkCredit()`
`UnsignedInteger`
`getNextIncomingId()`
`UnsignedInteger`
`getNextOutgoingId()`
`UnsignedInteger`
`getOutgoingWindow()`
`Map`
`getProperties()`
`<E> void`
`invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)`
`void`
`setAvailable(UnsignedInteger available)`
`void`
`setDeliveryCount(UnsignedInteger deliveryCount)`
`void`
`setDrain(boolean drain)`
`void`
`setEcho(boolean echo)`
`void`
`setHandle(UnsignedInteger handle)`
`void`
`setIncomingWindow(UnsignedInteger incomingWindow)`
`void`
`setLinkCredit(UnsignedInteger linkCredit)`
`void`
`setNextIncomingId(UnsignedInteger nextIncomingId)`
`void`
`setNextOutgoingId(UnsignedInteger nextOutgoingId)`
`void`
`setOutgoingWindow(UnsignedInteger outgoingWindow)`
`void`
`setProperties(Map properties)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Flow

public Flow()

### Flow

public Flow(Flow other)

## Method Details

### getNextIncomingId

public UnsignedInteger getNextIncomingId()

### setNextIncomingId

public void setNextIncomingId(UnsignedInteger nextIncomingId)

### getIncomingWindow

public UnsignedInteger getIncomingWindow()

### setIncomingWindow

public void setIncomingWindow(UnsignedInteger incomingWindow)

### getNextOutgoingId

public UnsignedInteger getNextOutgoingId()

### setNextOutgoingId

public void setNextOutgoingId(UnsignedInteger nextOutgoingId)

### getOutgoingWindow

public UnsignedInteger getOutgoingWindow()

### setOutgoingWindow

public void setOutgoingWindow(UnsignedInteger outgoingWindow)

### getHandle

public UnsignedInteger getHandle()

### setHandle

public void setHandle(UnsignedInteger handle)

### getDeliveryCount

public UnsignedInteger getDeliveryCount()

### setDeliveryCount

public void setDeliveryCount(UnsignedInteger deliveryCount)

### getLinkCredit

public UnsignedInteger getLinkCredit()

### setLinkCredit

public void setLinkCredit(UnsignedInteger linkCredit)

### getAvailable

public UnsignedInteger getAvailable()

### setAvailable

public void setAvailable(UnsignedInteger available)

### getDrain

public boolean getDrain()

### setDrain

public void setDrain(boolean drain)

### getEcho

public boolean getEcho()

### setEcho

public void setEcho(boolean echo)

### getProperties

public Map getProperties()

### setProperties

public void setProperties(Map properties)

### invoke

public <E> void invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)

Specified by:
  `invoke` in interface `FrameBody`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### copy

public Flow copy()

Specified by:
  `copy` in interface `FrameBody`
Returns:
  a deep copy of this FrameBody.